Arch Wall

From FreeCAD Documentation
Revision as of 20:32, 23 November 2013 by Honza32 (talk | contribs) (→‎Popis)

Arch Wall

Menu location
Arch -> Wall
Workbenches
Arch
Default shortcut
W A
Introduced in version
-
See also
Arch Structure

Popis

Tento nástroj staví objekt Zeď, buď od začátku nebo na nějakém jiném objektu, založeném na tvaru nebo na síti. Zeď může být postavena bez jakéhokoliv základního objektu, v tom případě se zeď chová jako trojrozměrný prostor využívající vlastnosti délka, šířka a výška. Pokud je zeď stavěna na nějakém jiném objektu, může být založena na:

  • Lineárním 2D objektu - jako jsou přímky, lomené čáry, oblouky nebo nákresy. V těchto případech můžete měnit tloušťku, zarovnání (vlevo, vpravo, doprostřed) a výšku. Vlastnost délka nemá žádný vliv.
  • Ploše - v takovém případě můžete měnit pouze výšku. Vlastnosti šířka délka nemají žádný vliv. Ovšem pokud je základní plocha vertikální, bude zeď používat vlastnost šířka místo výšky, což Vám umožní stavět zeď jakoby z prostorového objektu nebo mass studies.
  • Geometrickém tělese - v takovém případě žádná z vlastností výška, šířka a délka nemá žádný vliv. Zeď jednoduše využije tvar podkladového geometrického tělesa.
  • Síti, v takovém případě musí být síť uzavřené ne-mnohotvárné geometrické těleso.

Příklad zdi postavené na přímce, lomené čáře, ploše, geometrickém tělese a nákresu


Zdi také mohou mít přírůstky nebo úbytky. Přírůstky jsou jiné objektyjejichž tvary jsou připojeny k tvadu dané zdi, zatímco úbytky jsou odebrány. Přírůstky a úbytky mohou být přidávány a odebírány pomocí nástrojů Arch Add a Arch Remove. Přírůstky a úbytky nemají žádný vliv na parametry zdi jako je výška a šířka, které mohou být stále měněny. Zdi také mohou mít nastavenou automatickou výšku, pokud jsou včleněny do objektu s danou výškou, jako je třeba podlahy. Výška musí být nastavena na 0, pak zeď přijme výšku specifikovanou v rodičovském objektu.

Pokud se má několik zdi protnout, musíte je umístit do podlahy abyste měli jejich geometrický průsečík.

How to use

Drawing a wall from scratch

  1. Press the Arch Wall button, or press W then A keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Drawing a wall on top of a selected object

  1. Select one or more base geometry objects (Draft object, sketch, etc)
  2. Press the Arch Wall button, or press the W then A keys
  3. Adjust needed properties such as height or width.

Options

  • The height, width and alignment of a wall can be set during drawing, via the task panel
  • When snapping a wall to an existing wall, both walls will be joined into one. The way the two walls are joined depends on their properties: If they have the same width, height and alignment, and if the option "join base sketches" is enabled in the Arch preferences, the resulting wall will be one object based on a sketch made of several segments. Otherwise, the latter wall will be added to the first one as addition.
  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press ESC or the Cancel button to abort the current command.
  • Double-clicking on the wall in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions

Snapping

Snapping works a bit differently with Arch walls than other Arch and Draft objects. If a wall has a baseline object, snapping will anchor to the base object, instead of the wall geometry, allowing to easily align walls by their baseline. If, however, you specifically want to snap to the wall geometry, pressing CTRL will switch snapping to the wall object.

Properties

Wall objects inherit the properties of Part objects, and also have the following extra properties:

  • DataAlign: The alignment of the wall on its baseline: Left, right or center
  • DataBase: The base object this wall is built on
  • DataFace: The index of the face from the base object to use. If the vaue is not set or 0, the whole object is used
  • DataForce Wire: If True, and the wall is based on a face, only the border wire of the face is used, resulting in a wall bordering the face
  • DataLength: The length of the wall (not used when the wall is based on an object)
  • DataWidth: The width of the wall (not used when the wall is based on a face)
  • DataHeight: The height of the wall (not used when the wall is based on a solid)
  • DataNormal: An extrusion direction for the wall. If set to (0,0,0), the extrusion direction is automatic.

Scripting

The Wall tool can by used in macros and from the python console by using the following function:

 makeWall ( [obj],[length],[width],[height],[align],[face],[name] )
  • Creates a wall based on the given object, which can be a sketch, a draft object, a face or a solid. align can be "Center","Left" or "Right". If you provide no base object, then you can use numeric values for length, width and height. Face can be used to give the index of a face from the underlying object, to build this wall on, instead of using the whole object.
  • Returns the created wall, or None if the operation failed.

Example:

 import FreeCAD, Draft, Arch
 baseline = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
 Arch.makeWall(baseline,None,0.1,2)


Available translations of this page: Template:Jp